%define upstream_name    Code-TidyAll-Plugin-TestCount
%define upstream_version 0.0.2

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Ascertain that the test plan agrees with the Test::Count annotations
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Code/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Code::TidyAll::Plugin)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Moo)
BuildRequires: perl(Test::Count::FileMutator::ByFileType::Lib)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
See the Test::Count manpage .

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Mar 23 2022 umeabot <umeabot> 0.0.2-2.mga9
+ Revision: 1820406
- Mageia 9 Mass Rebuild

* Wed Oct 21 2020 tv <tv> 0.0.2-1.mga8
+ Revision: 1637431
- update to 0.0.2

* Sat Feb 15 2020 umeabot <umeabot> 0.0.1-2.mga8
+ Revision: 1523973
- Mageia 8 Mass Rebuild

* Sun Mar 17 2019 shlomif <shlomif> 0.0.1-1.mga7
+ Revision: 1378436
- cpan2dist


* Sun Mar 17 2019 cpan2dist 0.0.1-1mga
- initial mageia release, generated with cpan2dist
